mxCurveShape (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.shape
Class mxCurveShape

    java.lang.Object
      com.mxgraph.shape.mxBasicShape
          com.mxgraph.shape.mxConnectorShape
              com.mxgraph.shape.mxCurveShape

All Implemented Interfaces:
  mxIShape

    public class mxCurveShape

extends mxConnectorShape

Field Summary
`protected mxCurve` | `curve` Cache of the points between which drawing straight lines views as a curve

Constructor Summary
`mxCurveShape()`
`mxCurveShape(mxCurve curve)`

Method Summary
`mxCurve` | `getCurve()`
`protected mxLine` | `getMarkerVector(List<mxPoint> points, boolean source, double markerSize)` Hook to override creation of the vector that the marker is drawn along since it may not be the same as the vector between any two control points
`protected void` | `paintPolyline(mxGraphics2DCanvas canvas, List<mxPoint> points, Map<String,Object> style)`
`void` | `paintShape(mxGraphics2DCanvas canvas, mxCellState state)`
`void` | `validateCurve(List<mxPoint> points, double scale, Map<String,Object> style)` Forces underlying curve to a valid state

Methods inherited from class com.mxgraph.shape.mxConnectorShape
`isRounded, paintMarker`

Methods inherited from class com.mxgraph.shape.mxBasicShape
`configureGraphics, createShape, getFillColor, getGradientBounds, getStrokeColor, hasGradient, hasShadow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### curve

    protected mxCurve curve

  Cache of the points between which drawing straight lines views as a curve

Constructor Detail

### mxCurveShape

    public mxCurveShape()

### mxCurveShape

    public mxCurveShape(mxCurve curve)

Method Detail

### getCurve

    public mxCurve getCurve()

### paintShape

    public void paintShape(mxGraphics2DCanvas canvas,
                           mxCellState state)

  Specified by:
    `paintShape` in interface `mxIShape`
  Overrides:
    `paintShape` in class `mxConnectorShape`

### paintPolyline

    protected void paintPolyline(mxGraphics2DCanvas canvas,
                                 List<mxPoint> points,
                                 Map<String,Object> style)

  Overrides:
    `paintPolyline` in class `mxConnectorShape`

### validateCurve

    public void validateCurve(List<mxPoint> points,
                              double scale,
                              Map<String,Object> style)

  Forces underlying curve to a valid state

  Parameters:
    `points` -

### getMarkerVector

    protected mxLine getMarkerVector(List<mxPoint> points,
                                     boolean source,
                                     double markerSize)

  Hook to override creation of the vector that the marker is drawn along since it may not be the same as the vector between any two control points

  Overrides:
    `getMarkerVector` in class `mxConnectorShape`
  Parameters:
    `points` - the guide points of the connector
    `source` - whether the marker is at the source end
    `markerSize` - the scaled maximum length of the marker
  Returns:
    a line describing the vector the marker should be drawn along

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.